package com.huigou.topsun.sap.purchaseInfoRecord.application;

import com.huigou.topsun.sap.purchaseInfoRecord.domain.SapPurchaseInfoRecordItem;
import com.huigou.topsun.sap.purchaseInfoRecord.domain.query.SapPurchaseInfoRecordQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/02/28/15:40
 * @Description:
 */
public interface SapPurchaseInfoRecordItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/sapPurchaseInfoRecord/sapPurchaseInfoRecordItem.xml";
    void saveSapPurchaseInfoRecordItem(String sapPurchaseInfoRecordId, List<SapPurchaseInfoRecordItem> sapPurchaseInfoRecordItems);

    Map<String,Object> querySapPurchaseInfoRecordItem(SapPurchaseInfoRecordQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<SapPurchaseInfoRecordItem> findBySapPurchaseInfoRecordId(String sapPurchaseInfoRecordId);

    List <SapPurchaseInfoRecordItem> querySapPurchaseInfoRecordItemByMaytkl(SapPurchaseInfoRecordQueryRequest query);

    void save(SapPurchaseInfoRecordItem sapPurchaseInfoRecordItem);

    Map<String, Object> querySapPurchaseInfoRecordItemByIds(SapPurchaseInfoRecordQueryRequest request);
}
